import subprocess
import time



# Run Vivado script
vivado_script_path = r"C:\Programs\Xilinx2023.2\Vivado\2023.2\bin\xsdb.bat"  # Raw string literal
vivado_cmd = f'"{vivado_script_path}" upload_elf.tcl > upload_log.txt'

print("Running Vivado script...")
try:
    subprocess.run(vivado_cmd, shell=True, check=True)
    print("Vivado script executed successfully.")
except subprocess.CalledProcessError as e:
    print(f"Vivado script failed with error: {e}")

